<?xml version="1.0" encoding="UTF-8"?>
<features xmlns="http://karaf.apache.org/xmlns/features/v1.0.0">

  <feature name="spring" version="3.1.2.RELEASE">
    <bundle>mvn:org.springframework/spring-asm/3.1.2.RELEASE</bundle>
    <bundle>mvn:org.springframework/spring-core/3.1.2.RELEASE</bundle>
    <bundle>mvn:org.springframework/spring-beans/3.1.2.RELEASE</bundle>
  </feature>

  <feature name="camunda-optionals" version="7.3.0">
  	<bundle>mvn:javax.persistence/com.springsource.javax.persistence/2.0.0</bundle>
  	<bundle>mvn:javax.servlet/javax.servlet-api/3.0.1</bundle>
  	<bundle>mvn:javax.transaction/com.springsource.javax.transaction/1.1.0</bundle>
  	<bundle>mvn:javax.ejb/javax.ejb-api/3.2</bundle>
  	<bundle>mvn:org.apache.xmlcommons/com.springsource.org.apache.xmlcommons/1.3.4</bundle>
  	<bundle>mvn:javax.mail/com.springsource.javax.mail/1.4.5</bundle>
  	<bundle>mvn:org.apache.catalina/com.springsource.org.apache.catalina/6.0.24</bundle>
  	<bundle>mvn:org.apache.coyote/com.springsource.org.apache.coyote/6.0.24</bundle>
  	<bundle>mvn:org.apache.juli/com.springsource.org.apache.juli.extras/6.0.24</bundle>
  	<bundle>mvn:org.apache.commons/commons-email/1.3.2</bundle>
  	<bundle>mvn:org.apache.ant/com.springsource.org.apache.tools.ant/1.7.1</bundle>
    <bundle>mvn:commons-collections/commons-collections/3.2.1</bundle>
    <bundle>mvn:commons-beanutils/commons-beanutils/1.9.1</bundle>
  </feature>

  <feature name="camunda-commons" version="1.0.6">
    <bundle>mvn:org.camunda.commons/camunda-commons-logging/1.0.6</bundle>
    <bundle>mvn:org.camunda.commons/camunda-commons-utils/1.0.6</bundle>
  </feature>

  <feature name="camunda-models" version="7.3.0">
    <bundle>mvn:org.camunda.bpm.model/camunda-xml-model/7.3.0</bundle>
    <bundle>mvn:org.camunda.bpm.model/camunda-bpmn-model/7.3.0</bundle>
    <bundle>mvn:org.camunda.bpm.model/camunda-cmmn-model/7.3.0</bundle>
  </feature>

  <feature name="camunda-spin" version="1.1.0">
    <feature version="1.0.6">camunda-commons</feature>
    <bundle>mvn:net.minidev/json-smart/1.3</bundle>
    <bundle>mvn:org.codehaus.jackson/jackson-core-asl/1.9.13</bundle>
    <bundle>mvn:org.codehaus.jackson/jackson-mapper-asl/1.9.13</bundle>
    <bundle>mvn:com.fasterxml.jackson.core/jackson-core/2.5.3</bundle>
    <bundle>mvn:com.fasterxml.jackson.core/jackson-annotations/2.5.3</bundle>
    <bundle>mvn:com.fasterxml.jackson.core/jackson-databind/2.5.3</bundle>
    <bundle>mvn:com.jayway.jsonpath/json-path/0.9.1</bundle>
    <bundle>mvn:org.camunda.spin/camunda-spin-core/1.1.0</bundle>
  </feature>

  <feature name="camunda-connect" version="1.0.1">
    <feature version="1.0.6">camunda-commons</feature>
    <bundle>mvn:org.apache.httpcomponents/httpcore-osgi/4.3.2</bundle>
    <bundle>mvn:org.apache.httpcomponents/httpclient-osgi/4.3.5</bundle>
    <bundle>mvn:org.camunda.connect/camunda-connect-core/1.0.1</bundle>
    <bundle>mvn:org.camunda.connect/camunda-connect-soap-http-client/1.0.1</bundle>
    <bundle>mvn:org.camunda.connect/camunda-connect-http-client/1.0.1</bundle>
  </feature>

  <feature name="camunda-core" version="7.3.0">
    <feature version="7.3.0">camunda-models</feature>
    <bundle>mvn:javax.activation/com.springsource.javax.activation/1.1.1</bundle>
    <bundle>mvn:org.apache.commons/com.springsource.org.apache.commons.logging/1.1.1</bundle>
    <bundle>mvn:joda-time/joda-time/2.1</bundle>
    <bundle>mvn:com.h2database/h2/1.3.168</bundle>
    <bundle>mvn:org.mybatis/mybatis/3.2.8</bundle>
    <bundle>mvn:com.fasterxml.uuid/java-uuid-generator/3.1.2</bundle>
    <bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.drools/5.5.0.Final_2</bundle>
    <bundle>mvn:com.google.protobuf/protobuf-java/2.5.0</bundle>
    <bundle>mvn:org.jvnet.staxex/stax-ex/1.7.5</bundle>
    <bundle>mvn:org.camunda.bpm/camunda-engine/7.3.0</bundle>
    <bundle>mvn:org.camunda.bpm.extension.osgi/camunda-bpm-osgi/1.2.0</bundle>
  </feature>

  <feature name="camunda-bpm-karaf-feature-minimal" version="1.2.0">
    <feature version="7.3.0">camunda-core</feature>
  </feature>

  <feature name="camunda-bpm-karaf-feature-full" version="1.2.0">
  	<feature version="3.1.2.RELEASE">spring</feature>
    <feature version="7.3.0">camunda-optionals</feature>
    <feature version="7.3.0">camunda-core</feature>
    <feature version="1.0.1">camunda-connect</feature>
    <feature version="1.1.0">camunda-spin</feature>
  </feature>
</features>
